using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IStreamStorage
    {
        List<StreamViewModel> GetFullList();
        List<StreamViewModel> GetFilteredList(StreamSearchModel model);
        StreamViewModel? GetElement(StreamSearchModel model);
        StreamViewModel? Insert(StreamBindingModel model);
        StreamViewModel? Update(StreamBindingModel model);
        StreamViewModel? Delete(StreamBindingModel model);
    }
}
